=== po/Makefile ===
srcdir =        .
top_srcdir =    ..

prefix  =       /usr
datadir =       ${prefix}/share

PACKAGE =	    seswm
LOCDIR =        /usr/share/locale

DESTDIR = 

SOURCES =       $(top_srcdir)/src/ses-aapm.cc $(top_srcdir)/src/ses-acpustatus.cc $(top_srcdir)/src/ses-amailbox.cc $(top_srcdir)/src/ses-apppstatus.cc $(top_srcdir)/src/ses-aworkspaces.cc $(top_srcdir)/src/ses-misc.cc $(top_srcdir)/src/ses-movesize.cc $(top_srcdir)/src/ses-themes.cc $(top_srcdir)/src/ses-wmabout.cc $(top_srcdir)/src/ses-wmapp.cc $(top_srcdir)/src/ses-wmconfig.cc $(top_srcdir)/src/ses-wmdialog.cc $(top_srcdir)/src/ses-wmframe.cc $(top_srcdir)/src/ses-wmoption.cc $(top_srcdir)/src/ses-wmprog.cc $(top_srcdir)/src/ses-wmsession.cc $(top_srcdir)/src/ses-wmstatus.cc $(top_srcdir)/src/ses-wmtaskbar.cc $(top_srcdir)/src/ses-wmwinlist.cc $(top_srcdir)/src/ses-wmwinmenu.cc $(top_srcdir)/src/ses-yapp.cc $(top_srcdir)/src/ses-ybutton.cc $(top_srcdir)/src/ses-ycmdline.cc $(top_srcdir)/src/ses-yconfig.cc $(top_srcdir)/src/ses-ycursor.cc $(top_srcdir)/src/ses-yfontcore.cc $(top_srcdir)/src/ses-yfontxft.cc $(top_srcdir)/src/ses-yicon.cc $(top_srcdir)/src/ses-yimage.cc $(top_srcdir)/src/ses-yinput.cc $(top_srcdir)/src/ses-ylocale.cc $(top_srcdir)/src/ses-ymenufile.cc $(top_srcdir)/src/ses-ymenuitem.cc $(top_srcdir)/src/ses-ymsgbox.cc $(top_srcdir)/src/ses-yparser.cc $(top_srcdir)/src/ses-ypaths.cc $(top_srcdir)/src/ses-ypixbuf.cc $(top_srcdir)/src/ses-ysmapp.cc $(top_srcdir)/src/ses-yurl.cc $(top_srcdir)/src/ses-yxapp.cc $(top_srcdir)/src/ses-yxtray.cc $(top_srcdir)/src/seswmbg.cc $(top_srcdir)/src/seswmhint.cc
POFILES =	en.po es.po pt_BR.po
POXFILES =	en.pox es.pox pt_BR.pox
MOFILES =	en.mo es.mo pt_BR.mo

INSTALL =       /usr/bin/install -c
INSTALLDIR =    /usr/bin/install -c -m 755 -d
INSTALLLIB =    ${INSTALL} -m 644
XGETTEXT =	/usr/bin/xgettext
MSGMERGE =	/usr/bin/msgmerge
MSGFMT =	/usr/bin/msgfmt

.SUFFIXES:
.SUFFIXES: .po .mo

all: $(MOFILES)

install: all
	@echo "Installing message catalogues in $(DESTDIR)$(LOCDIR)"
	@for catalog in $(MOFILES); do \
	     lang=`echo $${catalog} | sed -e 's/\.mo//'` ; \
	     msgdir="$(DESTDIR)$(LOCDIR)/$${lang}/LC_MESSAGES"; \
	     echo "Installing language: $${lang}" ; \
	     $(INSTALLDIR) "$${msgdir}"; \
	     $(INSTALLLIB) "$${catalog}" "$${msgdir}/$(PACKAGE).mo"; \
	done

clean:
	rm -f  $(MOFILES) *~


# Merge existing translations and new code
merge: $(POXFILES)

# POTFILES.in lists files containing translatable strings
POTFILES.in: $(SOURCES)
	echo $(SOURCES) | tr ' ' '\n' > $@

# $(PACKAGE).pot is a template file for translations
$(PACKAGE).pot: POTFILES.in
	$(XGETTEXT) --default-domain=$(PACKAGE) --directory=../src \
	--add-comments --keyword=_ --keyword=N_ --files-from=POTFILES.in && \
	test ! -f $(PACKAGE).po || \
	( rm -f ./$(PACKAGE).pot && \
	  mv $(PACKAGE).po ./$(PACKAGE).pot )

# create new translations
%.pox: %.po $(PACKAGE).pot
	$(MSGMERGE) --indent --no-location --output-file $@ $< $(PACKAGE).pot

# convert portable into machine objects
.po.mo:
	$(MSGFMT) -o $@ $<


report.html: *.po Makefile
	@(echo "<h1>National Language Support Status Report</h1>"; \
	  date; echo "<p>"; \
	  for catalog in *.po; do \
	    echo -n "<li>$${catalog}"; \
	    sed -ne's|^.*"Last-Translator[^:]*:\(.*\)<.*$$| by\1<ul>|p' \
                "$${catalog}"; \
		echo -n ' <li>'; \
		LC_ALL=en $(MSGFMT) -o /dev/null "$${catalog}" 2>&1 |\
		sed -e's|, |<li>|g' -e's|\.$$||'; \
		echo '</ul>'; \
	  done ) >$@
	@cat $@

#upload-report: report.html
#	scp report.html massel@icewm.sf.net:icesf/libphp/nls.html

stats:
	for x in *.po ; do echo -ne "$$x:\t" `$(MSGFMT) --statistics $$x` ; done

update: merge
	for x in *.pox ; do cp -af $$x $${x%%pox}po ; done
