=== debian/changelog ===
ses-wm (3.0.0.162netbook0natick5) natick; urgency=low

  * Changing dependencies to be less strict ('>=' instead of '=').

 -- Luis Felipe Strano Moraes <luis.strano@canonical.com>  Thu, 27 Aug 2009 11:50:23 -0300

ses-wm (3.0.0.162netbook0natick4) natick; urgency=low

  * No change.  Rebuilding for signing.

 -- Mingyin Shao <shaomy@neusoft.com>  Fri, 5 Jun 2009 13:29:37 +0000

ses-wm (3.0.0.161netbook0natick4) natick; urgency=low

  * Fixed some bugs

 -- Mingyin Shao <shaomy@neusoft.com>  Tue, 26 May 2009 15:08:34 +0000

ses-wm (3.0.0.160netbook0natick4) natick; urgency=low

  * No change.  Rebuilding for signing.

 -- Mingyin Shao <shaomy@neusoft.com>  Fri, 22 May 2009 09:51:44 +0000

ses-wm (3.0.0.150netbook0natick4) natick; urgency=low

  * No change.  Rebuilding for signing.

 -- Mingyin Shao <shaomy@neusoft.com>  Fri, 15 May 2009 09:39:40 +0000

ses-wm (3.0.0.140netbook0natick4) natick; urgency=low

  * Fixed some bugs

 -- Mingyin Shao <shaomy@neusoft.com>  Fri, 8 May 2009 09:30:49 +0000

ses-wm (3.0.0.130netbook0natick4) natick; urgency=low

  * Fixed some bugs

 -- Mingyin Shao <shaomy@neusoft.com>  Thu, 23 Apr 2009 15:50:14 +0000

ses-wm (3.0.0.120netbook0natick4) natick; urgency=low

  * Fixed some bugs

 -- Mingyin Shao <shaomy@neusoft.com>  Fri, 10 Apr 2009 09:33:48 -0500

ses-wm (3.0.0.110netbook0natick4) natick; urgency=low

  * No change.  Rebuilding for signing.

 -- Dapeng Shi <shidp@neusoft.com>  Thu, 26 Mar 2009 16:12:32 -0500

ses-wm (3.0.0.100netbook0natick4) natick; urgency=low

  * Fix bug: #13408  

 -- Dapeng Shi <shidp@neusoft.com>  Mon, 09 Mar 2009 15:03:32 -0500

ses-wm (3.0.0.090netbook0natick4) natick; urgency=low

  * No change.  Rebuilding for signing.

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 04 Mar 2009 11:14:32 -0500

ses-wm (3.0.0.090netbook0natick3) natick; urgency=low

  * Fix bug: #326262 in Launchpad 

 -- Lily <lifengx.wang@intel.com>  Wed, 04 Mar 2009 09:21:43 +0000

ses-wm (3.0.0.090netbook0natick2) natick; urgency=low

  * Change (= version)'s in Build-Depends to (>= version)
  * Set distro to natick

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 03 Mar 2009 21:56:44 +0000

ses-wm (3.0.0.090netbook0natick1) hardy; urgency=low

  * Initial release

 -- Dapeng Shi <shidp@neusoft.com>  Sun, 28 Dec 2008 17:01:30 +0000
