=== debian/control ===
Source: ses-wm
Section: x11
Priority: optional
Maintainer: Intel Corporation
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: ses-wm
Architecture: any
Depends: ${shlibs:Depends}, 
         imlib11, 
         ses-lib (>= 3.0.0.162netbook0natick2), 
         ses-libsesintfdata (>= 3.0.0.162netbook0natick2), 
         ses-libsesdata (>= 3.0.0.162netbook0natick5), 
         ses-tabnavigation (>= 3.0.0.162netbook0natick2), 
         ses-calendar (>= 3.0.0.162netbook0natick2), 
         ses-msgposter (>= 3.0.0.162netbook0natick2), 
         ses-adminpwdconfirm (>= 3.0.0.162netbook0natick2), 
         ses-taskmanager (>= 3.0.0.162netbook0natick2), 
         ses-fadeoutmaker (>= 3.0.0.162netbook0natick2), 
         ses-ssd (>= 3.0.0.162netbook0natick2), 
         libnotify-bin, 
         ses-volumecontroller (>= 3.0.0.162netbook0natick3)
Description: Window manager for SES.
