=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


config.status: #configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	#./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	#docbook-to-man debian/ses-wm.sgml > ses-wm.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	#-$(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	cp $(CURDIR)/seswmmain $(CURDIR)/debian/ses-wm/usr/bin
	cp $(CURDIR)/seswmbg $(CURDIR)/debian/ses-wm/usr/bin
	cp $(CURDIR)/seswmmaintray $(CURDIR)/debian/ses-wm/usr/bin
	cp $(CURDIR)/seswm-session $(CURDIR)/debian/ses-wm/usr/bin
	cp $(CURDIR)/seswmhint $(CURDIR)/debian/ses-wm/usr/bin

	cp -r $(CURDIR)/SES/WM $(CURDIR)/debian/ses-wm/etc/SES
	cp -r $(CURDIR)/SES/gdm $(CURDIR)/debian/ses-wm/etc/SES
	cp $(CURDIR)/SES/xsessions/SES.desktop $(CURDIR)/debian/ses-wm/usr/share/xsessions/SES.desktop
	ln -s /usr/share/xsessions/SES.desktop $(CURDIR)/debian/ses-wm/etc/SES/gdm/session.ses/SES.desktop
	cp $(CURDIR)/SES/fonts/conf.avail/99-ses.conf $(CURDIR)/debian/ses-wm/etc/fonts/conf.avail/99-ses.conf
	cp $(CURDIR)/SES/fonts/conf.d/99-ses.conf $(CURDIR)/debian/ses-wm/etc/fonts/conf.d/99-ses.conf
	cp $(CURDIR)/SES/intel/bezel_button/single_click_launch $(CURDIR)/debian/ses-wm/etc/intel/bezel_button/single_click_launch
	cp $(CURDIR)/SES/ses.fdi $(CURDIR)/debian/ses-wm/etc/SES/
	#cp $(CURDIR)/gdm $(CURDIR)/debian/ses-wm/etc/init.d/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
